#
# spec file for package xorg-x11-server (Version 7.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk attr audit-libs autoconf automake bash binutils bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gconf2 gconf2-lang gdbm gettext gettext-devel ghostscript-library glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgimpprint libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs orbit2 pam pam-modules pango patch pcre pcre-devel perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           xorg-x11-server
%define dirsuffix 1.3.0.0
%define fglrx_driver_hack 1
%define vnc 0
BuildRequires:  Mesa-devel fontconfig-devel freetype2-devel ghostscript-library glitz-devel libdrm-devel pkgconfig xorg-x11 xorg-x11-devel xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libX11-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libXext-devel xorg-x11-libXfixes-devel xorg-x11-libXmu-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXprintUtil-devel xorg-x11-libXrender-devel xorg-x11-libXt-devel xorg-x11-libXv-devel xorg-x11-libfontenc-devel xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-xtrans-devel
%if %vnc
BuildRequires:  libjpeg-devel
%endif
Url:            http://xorg.freedesktop.org/
%define EXPERIMENTAL 0
Version:        7.2
Release:        143.13
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/X11/Servers/XF86_4
Requires:       pkgconfig xorg-x11-fonts-core
%if %suse_version > 1010
%ifnarch s390 s390x
Requires:       xorg-x11-driver-input xorg-x11-driver-video
%endif
%endif
Provides:       xorg-x11-server-glx
Obsoletes:      xorg-x11-server-glx
Summary:        X.Org Server
Source:         xorg-server-%{dirsuffix}.tar.bz2
Source1:        MesaLib-7.0.1.tar.bz2
Source3:        README.updates
Source4:        xorgcfg.tar.bz2
%if %suse_version > 1010
Source5:        modprobe.nvidia
%endif
%if %vnc
Source6:        0018-vnc-support.txt.mbox
%endif
Source7:        xorg-docs-1.4.tar.bz2
Source8:        xorg.conf.man-070818.tar
Patch:          64bit.diff
Patch1:         fpic.diff
Patch2:         p_default-module-path.diff
Patch3:         p_ValidatePci.diff
Patch4:         xprint.diff
Patch5:         xorg-server.diff
Patch6:         pu_fixes.diff
Patch7:         p_mouse_misc.diff
Patch8:         p_bug96328.diff
Patch9:         p_vga-crashfix.diff
Patch10:        p_xorg_rom_read.diff  
Patch11:        ps_showopts.diff
Patch12:        p_xf86Mode.diff
Patch13:        p_xorg_acpi.diff
Patch14:        p_xkills_wrong_client.diff
Patch15:        p_bug159532.diff
Patch16:        p_xnest-ignore-getimage-errors.diff
Patch18:        p_ia64-console.diff
Patch19:        disable-aiglx.diff
Patch22:        disable-root-xorg_conf.diff
Patch23:        disable-fbblt-opt.diff
Patch25:        glx-align.patch
Patch26:        p_enable-altrix.diff
Patch27:        mouse.diff
Patch28:        cfb8-undefined.diff
Patch29:        xephyr.diff
Patch30:        p_ppc_domain_workaround.diff
Patch32:        acpi_events.diff
Patch33:        p_pci-off-by-one.diff
Patch36:        libdrm.diff
%if %vnc
Patch39:        0018-vnc-support.txt
Patch40:        0018-vnc-support.txt.diff
%endif
Patch41:        loadmod-bug197195.diff
Patch42:        bug227111-ddc_screensize.diff
Patch45:        bug-197858_dpms.diff
Patch46:        x86emu.diff
Patch61:        bug-259290_trapfault.diff
Patch63:        xorg-x11-server-1.2.99-unbreak-domain.patch
Patch64:        support_mesa6.5.3.patch
Patch65:        remove__GLinterface.patch
Patch66:        commit-c09e68c
Patch67:        xorg-docs.diff
Patch68:        xephyr-sig11-fix.diff
Patch69:        xserver-mode-fuzzy-check.diff
Patch70:        i810_dri_fix_freeze.diff
Patch71:        randr12-5b424b562eee863b11571de4cd0019cd9bc5b379.diff
Patch72:        randr12-8d230319040f0a7f72231da2bf5ec97dc3612e21.diff
Patch73:        randr12-aec0d06469a2fa7440fdd5ee03dc256a68704e77.diff
Patch74:        randr12-b4193a2eee80895c5641e77488df0e72a73a3d99.diff
Patch75:        randr12-b2dcfbca2441ca8c561f86a78a76ab59ecbb40e4.diff
Patch76:        randr12-2926cf1da7e4ed63573bfaecdd7e19beb3057d9b.diff
Patch77:        fbdevhw.diff
Patch78:        use-composite-for-unequal-depths.patch
Patch79:        edit_data_sanity_check.diff
Patch80:        xserver-1.3.0-xkb-and-loathing.patch
Patch81:        missing-ramdac-symbols.diff
Patch82:        bug-331609_prefer-user-specified-displaysize.diff
Patch83:        Xv-crashfix.diff
Patch334:       p_pci-domain.diff
Patch357:       p_pci-ce-x.diff
Patch336219:    commit-a6a7fad.diff
Patch343248:    bug343248-CVE-2007-5958.diff
Patch345127:    bug345127-IDEF2888.patch
Patch345128:    bug345128-IDEF2901.diff
Patch345130:    bug345130-IDEF2902.diff
Patch345131:    bug345131-IDEF2904.diff
Patch345496:    bug345496-IDEF2903.diff
Patch348296:    bug348296-pcf_font_parser.diff
Patch374318:    bfo-bug15222.diff

%description
This package contains the X.Org Server.



%debug_package
%package extra
License:        X11/MIT
Summary:        Additional Xservers (Xdmx, Xephyr, Xnest, Xvfb)
Group:          System/X11/Servers/XF86_4
Provides:       xorg-x11-Xnest xorg-x11-Xvfb xorg-x11-server:/usr/bin/Xdmx
Obsoletes:      xorg-x11-Xnest xorg-x11-Xvfb
Requires:       xorg-x11-fonts-core
AutoReqProv:    on

%description extra
This package contains additional Xservers (Xdmx, Xephyr, Xnest, Xvfb).



%ifnarch s390 s390x

%package sdk
License:        X11/MIT
Summary:        X.Org Server SDK.
Group:          System/Libraries
Provides:       xorg-x11-sdk
Obsoletes:      xorg-x11-sdk
Requires:       xorg-x11-proto-devel xorg-x11-xtrans-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libX11-devel xorg-x11-libXext-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXrender-devel xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libXt-devel xorg-x11-libXmu-devel xorg-x11-libXfixes-devel xorg-x11-libxkbfile-devel  xorg-x11-libfontenc-devel xorg-x11-libXv-devel xorg-x11-libXprintUtil-devel xorg-x11-devel freetype2-devel fontconfig-devel libdrm-devel glitz-devel xorg-x11-server
AutoReqProv:    on

%description sdk
This package contains the X.Org Server SDK.



%endif
%if %vnc

%package -n xorg-x11-Xvnc
License:        GPL v2 or later
Summary:        VNC Server for the X Window System
Group:          System/X11/Servers/XF86_4
Provides:       vnc:/usr/X11R6/bin/Xvnc XFree86-Xvnc
Obsoletes:      XFree86-Xvnc
%ifarch ia64
Provides:       vnc-x86
Obsoletes:      vnc-x86
%endif
AutoReqProv:    on

%description -n xorg-x11-Xvnc
An X Window System server for Virtual Network Computing (VNC).



%endif

%prep
%setup -q -n xorg-server-%{dirsuffix} -b1 -a4 -a7 -a8
# make legal department happy (Bug #204110)
test -f ../Mesa-7.0.1/src/mesa/drivers/directfb/idirectfbgl_mesa.c && exit 1
test -f ../Mesa-7.0.1/progs/ggi/asc-view.c && exit 1
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7 -p2
%patch8 -p2
%patch9 -p2
%patch10 -p3
%patch11
#%patch12 -p2
%patch13
%patch14 -p2
%patch15 -p2
%patch16 -p2
pushd hw/xfree86/os-support
%patch18
popd
%patch19
%patch22
%patch23
%patch25 -p1
%patch26
%patch27
%patch28
%patch29
### Bug 197572: X.Org PCI/IA64 patches
%patch334 -p0 -b .p_pci-domain.diff
%patch357 -p0 -b .p_pci-ce-x.diff
%patch30
%patch32 -p1
%patch33 -p0
%patch36 -p0
%if %vnc
%patch39 -p1
%patch40 -p0
%endif
%patch41 -p1
%patch42 -p1
%patch45 -p0
%patch46 -p0
%patch61 -p1
%patch63 -p1
%patch64 -p2
%patch65 -p2
%patch66 -p1
pushd xorg-docs-*
%patch67
popd
%patch68
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch336219 -p1
%patch343248 -p1
%patch345127 -p1
%patch345128 -p1
%patch345130 -p1
%patch345131 -p1
%patch345496 -p1
%patch348296 -p0
%patch374318 -p1

%build
pushd xorg-docs-*
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
                --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make
popd
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%if %fglrx_driver_hack
            --with-release-major=7 \
            --with-release-minor=2 \
            --with-release-patch=0 \
            --with-release-snap=0 \
            --with-release-date="%(date)" \
            --with-release-version=7.2.0.0 \
%endif
%if %vnc
%ifnarch s390 s390x
            --enable-xorg-vnc \
            --enable-xcliplist \
%endif
            --enable-xdmx-vnc \
            --enable-xvnc \
%endif
            --prefix=/usr \
	    --sysconfdir=/etc \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --enable-builddocs \
%ifarch s390 s390x
            --disable-install-libxf86config \
%else
            --enable-install-libxf86config \
%endif
%ifarch %EXPERIMENTAL
            --enable-glx-tls \
            --enable-multibuffer \
%endif
%ifarch s390 s390x
            --disable-aiglx \
%else
            --enable-aiglx \
%endif
            --enable-lbx \
            --enable-xdmcp \
            --enable-xdm-auth-1 \
%ifarch s390 s390x
            --disable-dri \
            --disable-xorg \
%else
            --enable-dri \
            --enable-xorg \
%endif
            --enable-dmx \
            --enable-xnest \
            --enable-kdrive \
            --enable-xephyr \
            --disable-xsdl \
            --enable-xprint \
            --disable-kbd_mode \
            --disable-xprint \
            --with-log-dir="/var/log" \
            --with-os-name="openSUSE" \
            --with-os-vendor="SUSE LINUX" \
            --with-mesa-source=$RPM_BUILD_DIR/Mesa-7.0.1 \
            --with-fontdir="/usr/share/fonts" \
            --with-xkb-path="/usr/share/X11/xkb" \
            --with-xkb-output="/var/lib/xkb/compiled"
make %{?jobs:-j %jobs}
make -C hw/kdrive %{?jobs:-j %jobs}

%install
make -C xorg-docs-* install DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make -C hw/kdrive install DESTDIR=$RPM_BUILD_ROOT
%ifnarch s390 s390x
# remove .la files
find $RPM_BUILD_ROOT/usr/%{_lib}/xorg/modules/ -name "*.la" | \
  xargs rm
install -m 644 hw/xfree86/parser/{xf86Parser.h,xf86Optrec.h} \
  $RPM_BUILD_ROOT/usr/include/xorg
# add compatibility symlinks for SUSE <= 10.1
%if %suse_version <= 1010
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
ln -snf ../../bin/X $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -snf ../../bin/Xorg $RPM_BUILD_ROOT/usr/X11R6/bin/Xorg
%endif
chmod u+s $RPM_BUILD_ROOT/usr/bin/Xorg
mkdir -p $RPM_BUILD_ROOT/var/X11R6/bin
ln -snf ../../../usr/bin/Xorg $RPM_BUILD_ROOT/var/X11R6/bin/X
ln -snf ../../var/X11R6/bin/X $RPM_BUILD_ROOT/usr/bin/X
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}/xorg/modules/updates/{fonts,input,linux,drivers,multimedia,extensions}
install -m 644 $RPM_SOURCE_DIR/README.updates $RPM_BUILD_ROOT/usr/%{_lib}/xorg/modules/updates
%if %suse_version <= 1010
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
cat > $RPM_BUILD_ROOT/etc/permissions.d/xorg-x11-server.easy << EOF
/usr/bin/Xorg		root:root	4711
EOF
cat > $RPM_BUILD_ROOT/etc/permissions.d/xorg-x11-server.paranoid << EOF
/usr/bin/Xorg		root:root	0711
EOF
cat > $RPM_BUILD_ROOT/etc/permissions.d/xorg-x11-server.secure << EOF
/usr/bin/Xorg		root:root	0711
EOF
%endif
%else
rm -f $RPM_BUILD_ROOT/usr/share/aclocal/*.m4
%endif
%if %suse_version > 1010
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d
install -m 644 $RPM_SOURCE_DIR/modprobe.nvidia $RPM_BUILD_ROOT/etc/modprobe.d/nvidia
%endif
%if %vnc
%ifarch s390 s390x
rm $RPM_BUILD_ROOT/mfb.h
%endif
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"
%ifnarch s390 s390x
%verifyscript
%verify_permissions -e /usr/bin/Xorg
%endif

%pre
test -L usr/lib/X11 && rm usr/lib/X11
rm -rf etc/X11/xserver/
exit 0

%post
%ifnarch s390 s390x
%run_permissions
rm -f var/log/XFree86.*.log*
# SaX2 writes xorg.conf since SuSE 9.3
# - create backup of XF86Config
# - copy XF86Config to xorg.conf
# - set XF86Config symlink to xorg.conf
pushd etc/X11 &> /dev/null
  # get rid of symlinks
  for file in xorg.conf XF86Config; do
    if [ -L $file ]; then
      symlink=$file
      while test -L $symlink; do
        tmp=$(readlink $symlink)
        rm -f $symlink
        symlink=$tmp
      done
      mv $symlink $file
    fi
  done
  if [ ! -f xorg.conf -a -f XF86Config ]; then
    cp XF86Config xorg.conf
  fi
  if [ -f xorg.conf ]; then
    #test -f XF86Config && old XF86Config
    ln -snf xorg.conf XF86Config
  fi
popd &> /dev/null
if [ -f etc/X11/xorg.conf ]; then
  # keyboard driver specification seems to be case-sensitive now :-(
  # SLES9 SPx --> SLES10: i915 --> i810 driver
  # SuSE 9.3  --> SuSE 10.0: xgi --> sis driver
  # SuSE 9.3  --> SuSE 10.0: cz_qwerty,us --> cz(qwerty,basic) keyboard map
  # SuSE 9.3  --> SuSE 10.0: sk_qwerty,us --> sk(qwerty,basic) keyboard map
  # SuSE 9.3  --> SuSE 10.0: el --> gr keyboard map
  # SuSE 10.0 --> SuSE 10.1: r128 --> ati driver
  # SuSE 9.0  --> SuSE 9.1:  /dev/mouse --> /dev/input/mice (Bug #172260)
  # SuSE 10.1 --> SuSE 10.2: X11 fonts have moved to /usr/share/fonts
  # SuSE 10.1 --> SuSE 10.2: radeonold/radeon10b --> radeon
  # SuSE 10.2 --> SUSE 10.3: i810beta --> intel
 if grep -q -e \"[kK]eyboard\" 			\
            -e \"i915\"				\
            -e \"xgi\" 				\
            -e \"r128\" 			\
            -e \"radeonold\" 			\
            -e \"radeon10b\" 			\
            -e \"i810beta\"			\
            -e \"/dev/mouse\" 			\
            -e /usr/X11R6/lib/X11/fonts/	\
            -e /usr/X11/lib/X11/fonts/		\
            -e /usr/lib/X11/fonts/		\
            -e _qwerty 				\
            -e \"el\"				\
            etc/X11/xorg.conf; then
  sed -i.post_xorg-x11-server \
         -e 's/\"[kK]eyboard\"/\"kbd\"/g' \
         -e 's/\"i915\"/\"i810\"/g'       \
         -e 's/\"xgi\"/\"sis\"/g'         \
         -e 's/\"r128\"/\"ati\"/g'        \
         -e 's/\"radeonold\"/\"radeon\"/g'        \
         -e 's/\"radeon10b\"/\"radeon\"/g'        \
         -e 's/\"i810beta\"/\"intel\"/g'          \
         -e 's+/dev/mouse+/dev/input/mice+g' \
         -e 's+/usr/X11R6/lib/X11/fonts/+/usr/share/fonts/+g' \
         -e 's+/usr/X11/lib/X11/fonts/+/usr/share/fonts/+g' \
         -e 's+/usr/lib/X11/fonts/+/usr/share/fonts/+g' \
         -e '
/\"XkbLayout\".*\".*_qwerty,us\"/{
h
g
a\
  Option\t"XkbVariant" "qwerty,basic"
}
'                                     \
         -e s/_qwerty//g              \
         -e s/\"el\"/\"gr\"/g         \
      etc/X11/xorg.conf
 fi
fi
%endif
# Installation of init script seems to be disabled by default
# Create symbolic run level links for xprint start script
if false; then
  %{fillup_and_insserv -p xprint}
fi
exit 0

%preun
# Installation of init script seems to be disabled by default
if false; then
  %stop_on_removal xprint
fi
exit 0

%postun
# installation of init script seems to be disabled by default
# Rearrange run level symlinks after removing the xprint init script
if false; then
  %{insserv_cleanup}
fi
exit 0
%ifnarch s390 s390x

%pre sdk
test -L usr/include/X11 && rm usr/include/X11
exit 0
%endif

%files
%defattr(-,root,root)
%if %suse_version > 1010
%dir /etc/modprobe.d
/etc/modprobe.d/nvidia
%endif
%ifnarch s390 s390x
%dir /usr/%{_lib}/xorg
%dir /var/X11R6/bin
%endif
%dir /var/lib/xkb
%dir /var/lib/xkb/compiled
%ifnarch s390 s390x
%if %suse_version <= 1010
/etc/permissions.d/%name.*
%endif
%if %suse_version <= 1010
/usr/X11R6/bin/X
/usr/X11R6/bin/Xorg
%endif
/usr/bin/X
%endif
%ifnarch s390 s390x
%verify(not mode) /usr/bin/Xorg
%endif
%ifnarch s390 s390x
/usr/bin/cvt
%endif
/usr/bin/dmxaddinput
/usr/bin/dmxaddscreen
/usr/bin/dmxreconfig
/usr/bin/dmxresize
/usr/bin/dmxrminput
/usr/bin/dmxrmscreen
/usr/bin/dmxtodmx
/usr/bin/dmxwininfo
%ifnarch s390 s390x
/usr/bin/gtf
/usr/bin/inb
/usr/bin/inl
/usr/bin/inw
/usr/bin/ioport
/usr/bin/outb
/usr/bin/outl
/usr/bin/outw
/usr/bin/pcitweak
/usr/bin/scanpci
%endif
/usr/bin/vdltodmx
/usr/bin/xdmx
/usr/bin/xdmxconfig
%ifnarch s390 s390x
/usr/bin/xorgcfg
/usr/bin/xorgconfig
/usr/include/X11/bitmaps/
/usr/include/X11/pixmaps/
/usr/%{_lib}/X11/*
/usr/share/X11/
/usr/%{_lib}/xorg/modules/
%{_mandir}/man4/*
%{_mandir}/man5/*
%endif
/usr/%{_lib}/pkgconfig/*.pc
/usr/%{_lib}/xserver/
%{_mandir}/man1/*
%{_mandir}/man7/*
%ifnarch s390 s390x
/var/X11R6/bin/X
%endif
/var/lib/xkb/compiled/README.compiled

%files extra
%defattr(-,root,root)
/usr/bin/Xdmx
/usr/bin/Xephyr
/usr/bin/Xnest
/usr/bin/Xvfb
%ifnarch s390 s390x

%files sdk
%defattr(-,root,root)
/usr/include/xorg/
/usr/%{_lib}/*.a
/usr/share/aclocal/*.m4
%endif
%if %vnc

%files -n xorg-x11-Xvnc
%defattr(-, root, root)
/usr/bin/Xvnc
%endif

%changelog
* Sun Jun 01 2008 - sndirsch@suse.de
- bfo-bug15222.diff (bfo #15222, bnc #374318)
  * CVE-2008-2360 - RENDER Extension heap buffer overflow
  * CVE-2008-2361 - RENDER Extension crash
  * CVE-2008-2362 - RENDER Extension memory corruption
  * CVE-2008-1379 - MIT-SHM arbitrary memory read
  * CVE-2008-1377 - RECORD and Security extensions memory corruption
- commit-a6a7fad.diff
  * Don't break grab and focus state for a window when redirecting
  it. (bnc #336219, bfo #488264)
- Xv-crashfix.diff
  * This avoids a crash in xf86XVReputVideo and also cleans up the
  code slightly. (bnc #358176)
* Tue Jan 22 2008 - sndirsch@suse.de
- updated patch for CVE-2007-6429 once more (X.Org Bug #13520)
  * Always test for size+offset wrapping.
* Sun Jan 20 2008 - sndirsch@suse.de
- updated patch for CVE-2007-6429 (Bug #345131)
  * Don't spuriously reject <8bpp shm pixmaps.
  Move size validation after depth validation, and only validate
  size if the bpp of the pixmap format is > 8.  If bpp < 8 then
  we're already protected from overflow by the width and height
  checks.
* Sun Jan 06 2008 - sndirsch@suse.de
- updated bug345130-IDEF2902.diff (Bug #345130)
* Wed Jan 02 2008 - sndirsch@suse.de
- bug343248-CVE-2007-5958.diff
  * Xorg/XFree86 file existence disclosure vulnerability
  (CVE-2007-5958) (Bug #343248)
- bug345127-IDEF2888.patch
  * X Server XInput Extension Memory Corruption Vulnerability
  [IDEF2888] (Bug #345127)
- bug345128-IDEF2901.diff
  * X Server TOG-CUP Extension Memory Corruption Vulnerability
  [IDEF2901] (Bug #345128)
- bug345130-IDEF2902.diff
  * X Server EVI Extension Integer Overflow Vulnerability
  [IDEF2902] (Bug #345130)
- bug345131-IDEF2904.diff
  * X Server MIT-SHM Extension Integer Overflow Vulnerability
  [IDEF2904] (Bug #345131)
- bug345496-IDEF2903.diff
  * X Server XFree86-MISC Extension Invalid Array Index
  Vulnerability [IDEF2903] (Bug #345496)
- bug348296-pcf_font_parser.diff
  * PCF font parser vulnerability (Bug #34829)
* Wed Oct 24 2007 - sndirsch@suse.de
- bug-331609_prefer-user-specified-displaysize.diff
  * fixed segfault if output->conf_monitor == NULL (Bug #331609)
* Mon Oct 15 2007 - sndirsch@suse.de
- bug-331609_prefer-user-specified-displaysize.diff
  * Some quirks for some broken monitors (Bug #331609)
* Wed Oct 10 2007 - sndirsch@suse.de
- missing-ramdac-symbols.diff
  * Make sure that the ramdac symbols are present in the server.
  The former ramdac module is now built into the server, so its
  symbols need to be explicitly exported to drivers. At least s3
  and glint drivers are affected. (Bug #332340, Debian #423129).
* Wed Oct 03 2007 - sndirsch@suse.de
- xserver-1.3.0-xkb-and-loathing.patch
  * Ignore (not just block) SIGALRM around calls to Popen()/Pclose().
  Fixes a hang in openoffice when opening menus. (Bug #245711)
* Fri Sep 21 2007 - sndirsch@suse.de
- edit_data_sanity_check.diff:
  * added sanity check for monitor EDID data (Bug #326454)
* Tue Sep 11 2007 - sndirsch@suse.de
- reverted changes by schwab on Fri Sep 7; these resulted i a black
  screen during Xserver start with any driver on non-IA64 platforms
* Mon Sep 10 2007 - sndirsch@suse.de
- use-composite-for-unequal-depths.patch:
  * Use Composite when depths don't match (Bug #309107, X.Org Bug
  [#7447])
* Sat Sep 08 2007 - schwab@suse.de
- Update off-by-one patch.
- Remove empty patch.
* Tue Sep 04 2007 - sndirsch@suse.de
- fbdevhw.diff:
  * ignore pixclock set to 0 by Xen kernel (Bug #285523)
* Fri Aug 31 2007 - sndirsch@suse.de
- added several RANDR 1.2 fixes (Bug #306699)
  * randr12-2926cf1da7e4ed63573bfaecdd7e19beb3057d9b.diff
  Allocate the right number of entries for saving crtcs
  * randr12-5b424b562eee863b11571de4cd0019cd9bc5b379.diff
  Set the crtc before the output change is notified. Set the new
  randr crtc of the output before the output change notification
  is delivered to the clients. Remove RROutputSetCrtc as it is
  not really necessary. All we have to do is set the output's
  crtc on RRCrtcNotify
  * randr12-8d230319040f0a7f72231da2bf5ec97dc3612e21.diff
  Fix the output->crtc initialization in the old randr setup
  * randr12-aec0d06469a2fa7440fdd5ee03dc256a68704e77.diff
  Fix a crash when rotating the screen. Remember output->crtc
  before setting a NULL mode because RRCrtcNotify now sets
  output->crtc to NULL.  Use the saved crtc to set the new mode.
  * randr12-b2dcfbca2441ca8c561f86a78a76ab59ecbb40e4.diff
  RRScanOldConfig cannot use RRFirstOutput before output is
  configured. RRFirstOutput returns the first active output,
  which won't be set until after RRScanOldConfig is finished
  running. Instead, just use the first output (which is the only
  output present with an old driver, after all).
  * randr12-b4193a2eee80895c5641e77488df0e72a73a3d99.diff
  RRScanOldConfig wasn't getting crtcs set correctly. The output
  crtc is set by RRCrtcNotify, which is called at the end of
  RRScanOldConfig. Several uses of output->crtc in this function
  were wrong.
* Thu Aug 23 2007 - sndirsch@suse.de
- i810_dri_fix_freeze.diff:
  * fixes freeze after pressing Ctrl-Alt-BS (X.Org Bug #10809)
* Thu Aug 23 2007 - sndirsch@suse.de
- xserver-mode-fuzzy-check.diff:
  * Fix for Xserver being more fuzzy about mode validation
  (Bug #270846)
* Sat Aug 18 2007 - sndirsch@suse.de
- disable AIGLX by default; without enabled Composite extension
  (still problematic on many drivers) it's rather useless anyway
- updated xorg.conf manual page
* Sat Aug 11 2007 - dmueller@suse.de
- fix fileconflict over doc/MAINTAINERS
- build parallel
* Sat Aug 04 2007 - sndirsch@suse.de
- updated Mesa source to bugfix release 7.0.1
* Fri Jul 20 2007 - sndirsch@suse.de
- xephyr-sig11-fix.diff:
  * long vs. CARD32 mismatch in KeySym definitions between client
  and server code - this patch seems to fix it (and the input
  rework in head fixed it as well in a different way)
  (Bug #235320)
* Sat Jul 14 2007 - sndirsch@suse.de
- fixed build on s390(x)
* Tue Jul 03 2007 - sndirsch@suse.de
- added X(7) and security(7) manual pages
* Sat Jun 23 2007 - sndirsch@suse.de
- updated Mesa source to final release 7.0
* Thu Jun 21 2007 - sndirsch@suse.de
- updated Mesa source to release 7.0 RC1
  * Mesa 7.0 is a stable, follow-on release to Mesa 6.5.3. The only
  difference is bug fixes. The major version number bump is due
  to OpenGL 2.1 API support.
* Wed Jun 06 2007 - sndirsch@suse.de
- simplified p_default-module-path.diff
* Tue May 22 2007 - sndirsch@suse.de
- disabled build of Xprt
- moved Xdmx, Xephyr, Xnest and Xvfb to new subpackage
  xorg-x11-server-extra
* Thu May 03 2007 - sndirsch@suse.de
- commit-c09e68c:
  * Paper over a crash at exit during GLX teardown
* Tue May 01 2007 - sndirsch@suse.de
- updated to Mesa 6.5.3 sources
- obsoletes the following patches:
  * bug-211314_mesa-destroy_buffers.diff
  * bug-211314_mesa-framebuffer-counting.diff
  * bug-211314-patch-1.diff
  * bug-211314-patch-2.diff
  * bug-211314-patch-3.diff
  * bug-211314-patch-4.diff
  * bug-211314-patch-5.diff
  * bug-211314-patch-6.diff
  * bug-211314-patch-7.diff
  * bug-211314-patch-8.diff
  * bug-211314-patch-9.diff
  * bug-211314-patch-10.diff
  * bug-211314-patch-11.diff
  * bug-211314_mesa-refcount-memleak-fixes.diff
  * Mesa-6.5.2-fix_radeon_cliprect.diff
- remove__GLinterface.patch/
  support_mesa6.5.3.patch
  * required Xserver changes for Mesa 6.5.3
* Sat Apr 28 2007 - sndirsch@suse.de
- xorg-x11-server-1.2.99-unbreak-domain.patch:
  * This patch fixes some multi-domain systems such as Pegasos with
  xorg-server 1.3. Since pci-rework should get merged soon and
  this patch is a bit of a hack, it never got pushed upstream.
  (X.Org Bug #7248)
* Fri Apr 27 2007 - sndirsch@suse.de
- back to Mesa 6.5.2 (Bug #269155/269042)
* Wed Apr 25 2007 - sndirsch@suse.de
- Mesa update: 4th RC ready
  * This fixes some breakage in RC3.
* Tue Apr 24 2007 - sndirsch@suse.de
- Mesa update: 3rd release candidate
  * updated Windows/VC8 project files.
* Sun Apr 22 2007 - sndirsch@suse.de
- updated to Mesa 6.5.3rc2 sources
  * a number of bug fixes since the first RC
* Sat Apr 21 2007 - sndirsch@suse.de
- updated to Mesa 6.5.3rc1 sources
- obsoletes the following patches:
  * bug-211314_mesa-destroy_buffers.diff
  * bug-211314_mesa-framebuffer-counting.diff
  * bug-211314-patch-1.diff
  * bug-211314-patch-2.diff
  * bug-211314-patch-3.diff
  * bug-211314-patch-4.diff
  * bug-211314-patch-5.diff
  * bug-211314-patch-6.diff
  * bug-211314-patch-7.diff
  * bug-211314-patch-8.diff
  * bug-211314-patch-9.diff
  * bug-211314-patch-10.diff
  * bug-211314-patch-11.diff
  * bug-211314_mesa-refcount-memleak-fixes.diff
  * Mesa-6.5.2-fix_radeon_cliprect.diff
- GL-Mesa-6.5.3.diff:
  * adjusted GL subdir to Mesa 6.5.3rc1
* Fri Apr 20 2007 - sndirsch@suse.de
- xserver 1.3.0.0 release
  * Syncmaster 226 monitor needs 60Hz refresh (#10545).
  * In AIGLX EnterVT processing, invoke driver EnterVT before
  resuming glx.
  * Disable CRTC when SetSingleMode has no matching mode. Update
  RandR as well.
  * Rotate screen size as needed from RandR 1.1 change requests.
  * Add quirk for Acer AL1706 monitor to force 60hz refresh.
  * RandR 1.2 spec says CRTC info contains screen-relative geometry
  * typo in built-in module log message
  * Use default screen monitor for one of the outputs.
  * Allow outputs to be explicitly enabled in config, overriding
  detect.
  * Was accidentally disabling rotation updates in mode set.
  * Disable SourceValidate in rotation to capture cursor.
* Tue Apr 10 2007 - sndirsch@suse.de
- Mesa-6.5.2-fix_radeon_cliprect.diff:
  * fixes X.Org Bug #9876
* Fri Apr 06 2007 - sndirsch@suse.de
- bug-259290_trapfault.diff:
  * fixes crash caused by bug in XRender code (Bug #259290)
* Fri Apr 06 2007 - sndirsch@suse.de
- xserver 1.2.99.905 release:
  * CVE-2007-1003: XC-MISC Extension ProcXCMiscGetXIDList() Memory
  Corruption
  * X.Org Bug #10296: Fix timer rescheduling
- obsoletes bug-243978_xcmisc.diff
* Fri Apr 06 2007 - sndirsch@suse.de
- xserver 1.2.99.904 release:
  * Don't erase current crtc for outputs on CloseScreen
* Thu Apr 05 2007 - sndirsch@suse.de
- bug-243978_xcmisc.diff:
  * mem corruption in ProcXCMiscGetXIDList (CVE-2007-1003, Bug #243978)
* Thu Apr 05 2007 - sndirsch@suse.de
-  bug-211314_mesa-refcount-memleak-fixes.diff:
  * Fix for memleaks and refount bugs (Bug #211314)
* Fri Mar 30 2007 - sndirsch@suse.de
- p_default-module-path.diff:
  * only return /usr/%%lib/xorg/modules in "-showDefaultModulePath"
  Xserver option (Bug #257360)
- set Xserver version to 7.2.0 with configure option
  (Bugs #257360, #253702)
* Tue Mar 27 2007 - sndirsch@suse.de
- xserver 1.2.99.903 release:
  * Create driver-independent CRTC-based cursor layer.
  * Allow xf86_reload_cursors during server init.
  * Don't wedge when rotating more than one CRTC.
  * Correct ref counting of RRMode structures
  * Remove extra (and wrong) I2C ByteTimeout setting in DDC code.
  * Slow down DDC I2C bus using a RiseFallTime of 20us for old
  monitors.
  * Clean up Rotate state on server reset.
  * Clear allocated RandR screen private structure.
  * Clean up xf86CrtcRec and xf86OutputRec objects at CloseScreen.
  * Make sure RandR events are delivered from RRCrtcSet.
  * Fix Pending property API, adding RRPostPendingProperty.
  * Incorrect extra memory copy in RRChangeOutputProperty.
  * Ensure that crtc desired values track most recent mode.
  * Make pending properties force mode set. And, remove
  AttachScreen calls.
  * Set version to 1.2.99.903 (1.3 RC3)
  * fbdevhw: Consolidate modeset ioctl calling, report failure if
  it modifies mode.
  * fbdevhw: Fix some issues with the previous commit.
  * fbdevhw: Use displayWidth for fbdev virtual width when
  appropriate.
  * fbdevhw: Override RGB offsets and masks after setting initial
  mode.
  * fbdevhw: Consider mode set equal to mode requested if virtual
  width is larger.
  * fbdevhw: Only deal with RGB weight if default visual is True-
  or DirectColor.
  * Add per-drawable Xv colour key helper function.
  * Bump video driver ABI version to 1.2.
* Tue Mar 20 2007 - sndirsch@suse.de
- no longer apply bug-211314_mesa-context.diff,
  bug-211314_p_drawable_privclean.diff (Bug #211314, comment #114)
- added different Mesa patches (Bug #211314, comments #114/#115)
* Thu Mar 15 2007 - schwab@suse.de
- Remove bug197190-ia64.diff, fix x86emu instead.
* Thu Mar 15 2007 - sndirsch@suse.de
- xserver 1.2.99.902 release:
  * Xprint: shorten font filename to fit in tar length limit
  * Move xf86SetSingleMode into X server from intel driver.
  * Add xf86SetDesiredModes to apply desired modes to crtcs.
  * Use EDID data to set screen physical size at server startup.
  * Allow relative positions to use output names or monitor
  identifiers.
  * Add xf86CrtcScreenInit to share initialization across drivers.
  * Add hw/xfree86/docs/README.modes, documenting new mode setting
  APIs.
  * Remove stale monitor data when output becomes disconnected.
  * Revert "Xprint includes a filename which is too long for tar."
  * Revert "Xext: Update device's lastx/lasty when sending a motion
  event with XTest."
  * Xext: Update device's lastx/lasty when sending a motion event
  with XTest.
* Wed Mar 14 2007 - sndirsch@suse.de
- xf86crtc_allowdual.diff no longer required; replaced by
  xrandr_12_newmode.diff in xrandr (xorg-x11 package)
* Wed Mar 14 2007 - sndirsch@suse.de
- bug197190-ia64.diff:
  * missing -DNO_LONG_LONG for IA64 (Bug #197190)
* Fri Mar 09 2007 - sndirsch@suse.de
- xf86crtc_allowdual.diff:
  * allows dualhead even when the second monitor is not yet
  connected during Xserver start
* Tue Mar 06 2007 - sndirsch@suse.de
- %%post: replace "i810beta" with "intel" in existing xorg.conf
* Mon Mar 05 2007 - sndirsch@suse.de
- xserver 1.2.99.901 release:
  * RandR 1.2
  * EXA damage track
  * minor fixes
* Mon Feb 19 2007 - sndirsch@suse.de
- use global permissions files for SUSE > 10.1 (Bug #246228)
* Thu Feb 01 2007 - sndirsch@suse.de
- improved bug-197858_dpms.diff to fix Xserver crash (Bug #197858)
* Mon Jan 29 2007 - sndirsch@suse.de
- bug-197858_dpms.diff:
  * finally fixed "X server wakes up on any ACPI event" issue
  (Bug #197858)
* Thu Jan 25 2007 - sndirsch@suse.de
- bug-211314_p_drawable_privclean.diff:
  *  fixed for cleaning up pointers
* Wed Jan 24 2007 - sndirsch@suse.de
- fixed build
* Wed Jan 24 2007 - sndirsch@suse.de
- bug-211314_p_drawable_privclean.diff:
  * fixes Xserver crash in Mesa software rendering path (Bug #211314)
* Tue Jan 23 2007 - sndirsch@suse.de
- xserver 1.2.0 release
  * Bug #9219: Return BadMatch when trying to name the backing
  pixmap of an unrealized window.
  * Bug #9219: Use pWin->viewable instead of pWin->realized to
  catch InputOnly windows too.
  * Fix BSF and BSR instructions in the x86 emulator.
  * Bug #9555: Always define _GNU_SOURCE in glibc environments.
  * Bug #8991: Add glXGetDrawableAttributes dispatch; fix texture
  format therein.
  * Bump video and input ABI minors.
  * Fix release date.
  * Fix syntax error in configure check for SYSV_IPC that broke
  with Sun cc
  * Map missing keycodes for Sun Type 5 keyboard on Solaris SPARC
  * Update pci.ids to 2006-12-06 from pciids.sf.net
  * Xorg & Xserver man page updates for 1.2 release
  * xorg.conf man page should say "XFree86-DGA", not "Xorg-DGA"
  * Xserver man page: remove bc, add -wr
  * Update pci.ids to 2007-01-18 snapshot
  * Update Xserver man page to match commit
  ed33c7c98ad0c542e9e2dd6caa3f84879c21dd61
  * Fix Tooltip from minimized clients
  * Fix Xming fails to use xkb bug
  * Fix bad commit
  * Set Int10Current->Tag for the linux native int10 module
  * added mipmap.c
  * configure.ac: prepare for 1.2.0 (X11R7.2)
  * sparc: don't include asm/kbio.h -- it no longer exists in
  current headers.
  * Minor typos in Xserver man page.
  * Fix several cases where optimized paths were hit when they
  shouldn't be.
  * Try dlsym(RTLD_DEFAULT) first when finding symbols.
  * Fix RENDER issues (bug #7555) and implement RENDER add/remove
  screen
  * For Xvfb, Xnest and Xprt, compile fbcmap.c with -DXFree86Server
  * Multiple integer overflows in dbe and render extensions
  * Require glproto >= 1.4.8 for GLX.
  * __glXDRIscreenProbe: Use drmOpen/CloseOnce.
  * xfree86/hurd: re-add missing keyboard support (bug #5613)
  * remove last remaning 'linux'isms (bug #5613)
- obsoletes
  * Mesa-6.5.2.diff
  * xorg-server-1.1.99.901-GetDrawableAttributes.patch
  * int10-fix.diff
  * cve-2006-6101_6102_6103.diff
- disabled build of VNC server/module
* Wed Jan 17 2007 - sndirsch@suse.de
- bug-211314_mesa-context.diff:
  * fixes Xserver crash in software rendering fallback (Bug #211314)
* Wed Jan 17 2007 - sndirsch@suse.de
- 0018-vnc-support.txt.diff
  * fixed unresolved symbols vncRandomBytes/deskey in VNC module
  (terminated Xserver when client connected)
* Tue Jan 16 2007 - sndirsch@suse.de
- bug227111-ddc_screensize.diff:
  * allow user overrides for monitor settings (Bug #227111)
* Mon Jan 15 2007 - sndirsch@suse.de
- loadmod-bug197195.diff:
  * check the complete path (Bug #197195)
* Sun Jan 14 2007 - sndirsch@suse.de
- added build of VNC support (0018-vnc-support.txt/
  0018-vnc-support.txt.diff); see 0018-vnc-support.txt.mbox for
  reference
* Tue Jan 09 2007 - sndirsch@suse.de
- cve-2006-6101_6102_6103.diff:
  * CVE-2006-6101 iDefense X.org ProcRenderAddGlyphs (Bug #225972)
  * CVE-2006-6102 iDefense X.org ProcDbeGetVisualInfo (Bug #225974)
  * CVE-2006-6103 iDefense X.org ProcDbeSwapBuffers (Bug #225975)
* Tue Dec 19 2006 - sndirsch@suse.de
- int10-fix.diff
  * Set Int10Current->Tag for the linux native int10 module (X.Org
  Bug #9296)
  * obsoletes p_initialize-pci-tag.diff
* Tue Dec 19 2006 - sndirsch@suse.de
- reverted latest change by schwab (Bug #197190, comment #67)
* Mon Dec 18 2006 - schwab@suse.de
- Fix off-by-one in pci multi-domain support [#229278].
* Wed Dec 13 2006 - sndirsch@suse.de
- libdrm.diff:
  * no longer fail when some driver tries to load "drm" module
* Tue Dec 12 2006 - sndirsch@suse.de
- xorg-server-1.1.99.901-GetDrawableAttributes.patch:
  * hopefully fixes AIGLX issues (X.Org Bug #8991)
* Fri Dec 08 2006 - sndirsch@suse.de
- another 64bit warning fix
* Sun Dec 03 2006 - sndirsch@suse.de
- X.Org 7.2RC3 release
  * Add a -showDefaultModulePath option.
  * Add a -showDefaultLibPath option.
  * Add DIX_CFLAGS to util builds.
  * Fix release date, and tag 1.1.99.903
  * make X server use system libdrm - this requires libdrm >= 2.3.0
  * DRI: call drmSetServerInfo() before drmOpen().
  * add extern to struct definition
  * fixup configure.ac problems with DRI_SOURCES and LBX_SOURCES
  * bump to 1.1.99.903
  * remove CID support (bug #5553)
  * dri: setup libdrm hooks as early as possible.
  * Bug #8868: Remove drm from SUBDIRS now that the directory is gone.
  * Fix typo before the last commit.
  * Fix GL context destruction with AIGLX.
  * On DragonFLy, default to /dev/sysmouse (just like on FreeBSD).
  * ffs: handle 0 argument (bug #8968)
  * Bug #9023: Only check mice for "mouse" or "void" if identifier
  is != NULL.  Fix potential NULL pointer access in timer code.
- updated Mesa sources to 6.5.2
* Tue Nov 28 2006 - sndirsch@suse.de
- xserver-timers.diff:
  * fix null pointer reference in timer code (Bug #223718)
* Mon Nov 20 2006 - sndirsch@suse.de
- p_pci-off-by-one.diff:
  * readded off by one fix, which has been dropped by accident
  (Bug #197190)
* Mon Nov 20 2006 - sndirsch@suse.de
- acpi_events.diff:
  * distinguish between general and input devices also for APM
  (Bug #197858)
* Wed Nov 15 2006 - sndirsch@suse.de
- removed /etc/X11/Xsession.d/92xprint-xpserverlist (Bug #220733)
* Tue Nov 14 2006 - sndirsch@suse.de
- mouse-fix.diff:
  * prevent driver from crashing when something different than
  "mouse" or "void" is specified; only check mice for "mouse"
  or "void" if identifier is != NULL. (X.Org Bug #9023)
* Tue Nov 14 2006 - sndirsch@suse.de
- X.Org 7.2RC2 release
- adjusted p_enable-altrix.diff, p_pci-domain.diff
- obsoletes p_pci-ia64.diff, xorg-xserver-ia64-int10.diff
  p_pci-legacy-mmap.diff
- Changes in RC2 since RC1
  Aaron Plattner:
  Fix standard VESA modes.
  Adam Jackson:
  Bug #6786: Use separate defines for server's Fixes support level.
  'make dist' fixes.
  Fix distcheck.
  Include a forgotten ia64 header in the distball.  Builds on ia64 now.
  configure.ac bump.
  Alan Coopersmith:
  Make sure xorgcfg files are included even when dist made with
    --disable-xorgcfg
  Use getisax() instead of asm code to determine available x86 ISA
  extensions on Solaris
  Pre-release message should tell users to check git, not CVS, for updates
  Fix automake error: BUILT_SOURCES was defined multiple times on Solaris
  Bug #1997: AUDIT messages should contain uid for local accesses
  If getpeerucred() is available, include pid & zoneid in audit messages
  too
  Make _POSIX_C_SOURCE hack work with Solaris headers
  Alan Hourihane:
  Small modification to blocking signals when switching modes.
  Bjorn Helgaas:
  Do not map full 0-1MB legacy range
  Bram Verweij:
  xfree86/linux acpi: fix tokenising
  Daniel Stone:
  GetTimeInMillis: spuport monotonic clock
  WaitForSomething: allow time to rewind
  Revert "WaitForSomething: allow time to rewind"
  Revert "GetTimeInMillis: spuport monotonic clock"
  add 'general socket' handler, port ACPI to use it
  WaitForSomething: allow time to rewind
  WaitForSomething: only rewind when delta is more than 250ms
  GetTimeInMillis: spuport monotonic clock
  GetTimeInMillis: simplify monotonic test
  GetTimeInMillis: use correct units for clock_gettime
  os: fix sun extensions test
  Eamon Walsh:
  Bug #8875: Security extension causes Xorg to core dump on server reset
  whitespace adjust
  More work on Bug #8875: revert previous fix and try using client
  argument
  Bug #8937: Extension setup functions not called on server resets
  Egbert Eich:
  Fixing mach64 driver bailing out on ia64
  Make int10 fully domain aware.
  Erik Andren:
  remove XFree86 changelogs (bug #7262)
  Joshua Baergen:
  Create xorg.conf.example (Gentoo bug #138623).
  Laurence Withers:
  CreateColormap: fix return value (bug #7083)
  Matthias Hopf:
  Build with -D_PC on ix86 only.
  Added missing domain stripping in already domain aware code.
  Added linux 2.6 compatible domain aware device scanning code.
  Fixing domain support for ia64
  Add domain support to linuxPciOpenFile().
  Fix device path in altixPCI.c to be domain aware.
  Fix obviously wrong boundary checks + cleanup unused vars.
  Matthieu Herrb:
  kill GNU-make'ism.
  Handle building in a separate objdir
  Michel Dänzer:
  Fix __glXDRIbindTexImage() for 32 bpp on big endian platforms.
  Fix test for Option "IgnoreABI".
  Myron Stowe:
  xfree86: re-enable chipset-specific drivers for Linux/ia64
  Rich Coe:
  CheckConnections: don't close down the server client (bug #7876)
* Thu Nov 09 2006 - sndirsch@suse.de
- p_ppc_domain_workaround.diff:
  * ugly workaround for still missing domain support on ppc
  (Bug #202133)
* Sat Nov 04 2006 - sndirsch@suse.de
- updated to snapshot of xserver-1.2-branch (soon to be released
  as X.Org 7.2RC2)
  * Make sure xorgcfg files are included even when dist made with
    --disable-xorgcfg
  * Small modification to blocking signals when switching modes.
  * Use getisax() instead of asm code to determine available x86
  ISA extensions on Solaris
  * Pre-release message should tell users to check git, not CVS,
  for updates
  * Fix __glXDRIbindTexImage() for 32 bpp on big endian platforms.
  * Create xorg.conf.example (Gentoo bug #138623).
  * Fix test for Option "IgnoreABI".
  This option has plenty of potential for wasting the time of bug
  triagers without pretending it's always on.
  * kill GNU-make'ism.
  * Handle building in a separate objdir
  * Fix automake error: BUILT_SOURCES was defined multiple times on Solaris
  * Bug #1997: AUDIT messages should contain uid for local accesses
  * If getpeerucred() is available, include pid & zoneid in audit messages too
* Wed Nov 01 2006 - sndirsch@suse.de
- added /etc/modprobe.d/nvidia
* Wed Oct 25 2006 - sndirsch@suse.de
- xorg-xserver-ia64-int10.diff:
  * build int10 module with _PC only on %%ix86 (Bug #197190)
* Mon Oct 23 2006 - sndirsch@suse.de
- added build of Xephyr; useful for debugging KDE apps (coolo)
* Tue Oct 17 2006 - sndirsch@suse.de
- cfb8-undefined.diff:
  * fixes warning for undefined behaviour
* Tue Oct 17 2006 - aj@suse.de
- Own /etc/X11/Xsession.d directory.
* Tue Oct 17 2006 - aj@suse.de
- Use /etc/X11/Xsession.d.
* Sat Oct 14 2006 - sndirsch@suse.de
- updated to X.Org 7.2RC1
* Fri Oct 13 2006 - sndirsch@suse.de
- only disable AIGLX by default on SUSE <= 10.1 (Bug #197093)
- no longer fake release version for fglrx driver (Bug #198125)
* Mon Oct 09 2006 - sndirsch@suse.de
- glx-align.patch:
  * reenabled -D__GLX_ALIGN64 on affected plaforms (X.Org Bug #8392)
- Fixes to p_pci-domain.diff (Bug #197572)
  * internal domain number of by one (was supposed to be a cleanup,
  but other code dependet on this semantics)
  * fixed another long-standing of-by-1 error
- p_enable-altrix.diff (Bug #197572)
  * This additional patch enables the build of the altrix detection
  routines, which have apparently not been included in Xorg 7.1
  yet. This patch needs a autoreconf -fi after application.
* Mon Sep 18 2006 - sndirsch@suse.de
- updated to Mesa 6.5.1
* Wed Sep 13 2006 - sndirsch@suse.de
- disable-fbblt-opt.diff:
  * Disable optimization (introduced by ajax) due to a general vesa
  driver crash later in memcpy (Bug #204324)
* Sat Sep 09 2006 - sndirsch@suse.de
- removed two source files with imcompatible license from Mesa
  tarball (Bug #204110)
- added a check to specfile to make sure that these will not be
  reintroduced with the next Mesa update again (Bug #204110)
* Sat Sep 02 2006 - sndirsch@suse.de
- moved xf86Parser.h,xf86Optrec.h back to /usr/include/xorg, since
  SaX2 build issues have finally been resolved by making use of
  "-iquote /usr/include/xorg -I."
* Thu Aug 31 2006 - sndirsch@suse.de
- disable-root-xorg_conf.diff:
  * no longer consider to read /root/xorg.conf
* Tue Aug 29 2006 - sndirsch@suse.de
- only require xorg-x11-fonts-core ('fixed' + 'cursor' fonts)
* Mon Aug 28 2006 - sndirsch@suse.de
- fake release version for fglrx driver again, since using
  IgnoreABI does not help (the check for the ABI version is in the
  binary-only fglrx driver)
* Sun Aug 27 2006 - sndirsch@suse.de
- added Requires: xorg-x11-driver-{input,video} (Bug #202080)
* Fri Aug 25 2006 - sndirsch@suse.de
- ignore-abi.diff:
  * adds IgnoreABI option for xorg.conf (same as -ignoreABI)
- remove .la files
- no longer fake release version for fglrx driver; use the new
  IgnoreABI option instead!
* Fri Aug 25 2006 - sndirsch@suse.de
- PCI/IA64 Patches (Bug #197572):
  * apply new p_pci-domain.diff (mhopf)
  * apply new p_pci-ce-x.diff (mhopf)
* Thu Aug 24 2006 - sndirsch@suse.de
- PCI/IA64 Patches (Bug #197572):
  * removed p_mappciBIOS_complete.diff (already applied upstream)
  * apply p_pci-ia64.diff
  * apply p_pci-legacy-mmap.diff only for IA64 (as before)
  * disabled for now:
    - p_pci-domain.diff: still issues with it
    - p_pci-ce-x.diff: sits on top of p_pci-domain.diff
* Sun Aug 20 2006 - sndirsch@suse.de
- added PCI/IA64 patches, but disabled them for now (Bug #197572)
- remove comp. symlinks in /usr/X11R6/bin for openSUSE >= 10.2
* Fri Aug 18 2006 - sndirsch@suse.de
- fixed build for s390/s390x, e.g. use configure options
   --disable-install-libxf86config
   --disable-aiglx
   --disable-dri
   --disable-xorg
- changed os-name to "openSUSE" instead of "Linux" before
- fake release version for fglrx driver :-(
* Fri Aug 18 2006 - sndirsch@suse.de
- xinerama-sig11.diff:
  * prevents Xserver Sig11 with broken Xinerama config (Bug #135002)
* Tue Aug 15 2006 - sndirsch@suse.de
- moved /usr/%%_lib/pkgconfig/xorg-server.pc to xorg-x11-server
- added pkgconfig to Requires of xorg-x11-server
* Sat Aug 12 2006 - sndirsch@suse.de
- disable-aiglx.diff:
  * disabled AIGLX by default (related to Bug #197093); enable it
  with 'Option "AIGLX" "true"' in ServerFlags section of xorg.conf
* Wed Aug 09 2006 - sndirsch@suse.de
- enabled build of aiglx
* Wed Aug 09 2006 - sndirsch@suse.de
- patch font path also in xorg.conf when set to /usr/lib/X11/fonts/
  or /usr/X11/lib/X11/fonts
* Tue Aug 08 2006 - sndirsch@suse.de
- patch xorg.conf in %%post:
  * radeonold/radeon10b driver --> radeon driver
* Mon Aug 07 2006 - sndirsch@suse.de
- added "Requires: xorg-x11-fonts" to prevent issues like
  "could not open default font 'fixed'" for any Xserver
* Mon Aug 07 2006 - sndirsch@suse.de
- make sure that symlinks
  /usr/bin/X       --> /var/X11R6/bin/X
  /var/X11R6/bin/X --> /usr/bin/Xorg
  are packaged.
- p_xorg_acpi.diff:
  * fixed for archs which don't have HAVE_ACPI defined, e.g. ppc
* Mon Aug 07 2006 - sndirsch@suse.de
- p_xf86Mode.diff:
  * removes wrong warning (Bug #139510)
- p_xorg_acpi.diff:
  * reconnect to acpid when acpid has been killed (Bug #148384)
- p_xkills_wrong_client.diff:
  * This patch has unveiled two other problems. One is rather
  serious as there seems to be a non-zero possibility that the
  Xserver closes the wrong connection and this closes the wrong
  client when it looks for stale sockets of clients that have
  disappeared (eich, Bug #150869)
- p_bug159532.diff:
  * X Clients can intentionally or unintenionally crash X11 by
  using composite on depth 4 pixmaps. This patch fixes this.
  (Bug #159532)
- p_xnest-ignore-getimage-errors.diff:
  * ignores the X error on GetImage in Xnest (Bug #174228,
  X.Org Bug #4411)
- p_initialize-pci-tag.diff:
  * initialize PCI tag correctly, which is used by an IA64 specific
  patch (see Bug #147261 for details); fixes Xserver crashes with
  fglrx driver - and possibly other drivers like vesa - during
  initial startup (!), VT switch and startup of second Xserver
  (SLED10 Blocker Bugs #180535, #170991, #158806)
- p_ia64-console.diff:
  * fixes MCA after start of second Xserver (Bug #177011)
* Sun Aug 06 2006 - sndirsch@suse.de
- p_mouse_misc.diff:
  * fix X server crashes with synaptics driver (Bug #61702)
- pu_fixes.diff
  * Fixes not yet in the official version
- p_bug96328.diff:
  * fallback mouse device checking
- p_vga-crashfix.diff:
  * fixes vga driver crash (#133989)
- p_xorg_rom_read.diff
  * read rom in big chunks instead of byte-at-a-time (Bug #140811)
- ps_showopts.diff
  * Xserver "-showopts" option to print available driver options
  (Bug #137374)
* Sat Aug 05 2006 - sndirsch@suse.de
- add /var/X11R6/bin directory for now (Bug #197188)
* Wed Aug 02 2006 - sndirsch@suse.de
- fix setup line
* Tue Aug 01 2006 - sndirsch@suse.de
- fixed fatal compiler warnings
* Mon Jul 31 2006 - sndirsch@suse.de
- always (and only) patch xorg.conf if necessary
* Mon Jul 31 2006 - sndirsch@suse.de
- update to xorg-server release 1.1.99.3
* Fri Jul 28 2006 - sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 - sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Wed Jul 26 2006 - sndirsch@suse.de
- install xf86Parser.h,xf86Optrec.h to /usr/include instead of
  /usr/include/xorg, so it is no longer necessary to specify
  "-I/usr/include/xorg" which resulted in including a wrong
  "shadow.h" (by X.Org) when building SaX2 (strange build error)
* Tue Jul 25 2006 - sndirsch@suse.de
- added permissions files
* Tue Jul 25 2006 - sndirsch@suse.de
- add compatibility symlink /usr/X11R6/bin/Xorg
* Fri Jul 21 2006 - sndirsch@suse.de
- p_ValidatePci.diff:
  * no longer call ValidatePci() to fix i810 driver issues
  (Bug #191987)
* Fri Jul 21 2006 - sndirsch@suse.de
- fixed build
* Tue Jun 27 2006 - sndirsch@suse.de
- created package
